package dk.deranged.android.refleq;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.TextView;

public class PlayActivity extends Activity {
	private RefleqMaster master;
	
	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        setContentView(R.layout.play);
        
        String username = getIntent().getStringExtra(RefleQActivity.EXTRA_USERNAME);
        TextView usernameTextField = (TextView) findViewById(R.id.playUsernameText);
        usernameTextField.setText(username);
        
        //refleqbuttons
        RefleqButton
        		b1 = new RefleqButton(this,findViewById(R.id.playButton1)),
        		b2 = new RefleqButton(this,findViewById(R.id.playButton2)),
        		b3 = new RefleqButton(this,findViewById(R.id.playButton3)),
        		b4 = new RefleqButton(this,findViewById(R.id.playButton4)),
        		b5 = new RefleqButton(this,findViewById(R.id.playButton5)),
        		b6 = new RefleqButton(this,findViewById(R.id.playButton6));
        
        //refleqmaster
        master = new RefleqMaster(this, (TextView) findViewById(R.id.playPointsText),b1,b2,b3,b4,b5,b6);
        
        new Thread(master).start();
    }
    
    public void endGame() {
    	
    }
}
